Subject: bug#36675: closed (Re: bug#36675: kodi 18.2 fails to build)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jan 2021 13:37:02 +0000

Your bug report

#36675: kodi 18.2 fails to build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36675: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36675
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36675: kodi 18.2 fails to build
From: Maxim Cournoyer <[email-masked]>
To: Josh Holland <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Jan 2021 08:36:26 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Josh,

Josh Holland <[email-masked]> writes:

> I tried again just now, and:
> successfully built /gnu/store/pmq2jv9j9snmyzbdngmklghn9bpzrxig-kodi-18.2.drv
> /gnu/store/qzc0j7v4b4ylgqrk5n8h2dj5q5bp8qbf-kodi-18.2
>
> It's definitely failed before a bunch of times when I've tried to do
> `guix upgrade`, so not sure what to make of it really.

Kodi has since been updated to 18.8 (thanks to Timotej!), and there are
substitutes available for it, so I reckon it builds!

Thank you for the report.

Closing,

Maxim

Subject: kodi 18.2 fails to build
From: Josh Holland <[email-masked]>
To: bug-guix <[email-masked]>
Date: Mon, 15 Jul 2019 20:21:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce:
$ guix build kodi

Expected result:
kodi builds successfully

Actual result:
test suite fails, with the below error message

------------8<--------------------

        Start 438: TestMassEvent.General
438/521 Test #438: TestMassEvent.General ....................................................Child aborted***Exception:   0.82 sec
Note: Google Test filter = TestMassEvent.General
[==========] Running 1 test from 1 test case.
[----------] Global test environment set-up.
[----------] 1 test from TestMassEvent
[ RUN      ] TestMassEvent.General
[       OK ] TestMassEvent.General (105 ms)
[----------] 1 test from TestMassEvent (105 ms total)

[----------] Global test environment tear-down
[==========] 1 test from 1 test case ran. (142 ms total)
[  PASSED  ] 1 test.
kodi-test: ../nptl/pthread_mutex_lock.c:434: __pthread_mutex_lock_full: Assertion `robust || (oldval & FUTEX_OWNER_DIED) == 0' failed.

        Start 439: TestMassEvent.Polling
439/521 Test #439: TestMassEvent.Polling ....................................................Child aborted***Exception:   0.79 sec
Note: Google Test filter = TestMassEvent.Polling
[==========] Running 1 test from 1 test case.
[----------] Global test environment set-up.
[----------] 1 test from TestMassEvent
[ RUN      ] TestMassEvent.Polling
[       OK ] TestMassEvent.Polling (133 ms)
[----------] 1 test from TestMassEvent (133 ms total)

[----------] Global test environment tear-down
[==========] 1 test from 1 test case ran. (276 ms total)
[  PASSED  ] 1 test.
Clean shutdown of TestGlobalPattern1
kodi-test: ../nptl/pthread_mutex_lock.c:434: __pthread_mutex_lock_full: Assertion `robust || (oldval & FUTEX_OWNER_DIED) == 0' failed.

----------8<----------------------

--
Josh Holland